Subject: Re: [PWE3] Re: PW-TC-MIB and PW-MIB

From: "Thomas D. Nadeau" <[email-masked]>
Date: Sun, 30 Oct 2005 08:37:11 -0500

On Oct 30, 2005, at 8:23 AM, Romascanu, Dan ((Dan)) wrote:

>
>
>
>
>
> From: [email-masked] [mailto:[email-masked]] On  
> Behalf Of Orly Nicklass
> Sent: Sunday, October 30, 2005 12:35 AM
> To: Thomas D. Nadeau
> Cc: [email-masked]; [email-masked]
> Subject: RE: [PWE3] Re: PW-TC-MIB and PW-MIB
>
> 7-IANA section , there is a statement:
> "In the future, PWE3 related standards track PW modules should be
>   rooted under the pwStdMIB subtree...."
> I think you meant to say MIB modules not PW modules.
     Yes.
> Also, there is some better wording examples in 4181, maybe you can  
> realign with that.
> [DR] actually RFC 4181 discourages the practice of placing MIB  
> modules under a subtree other than mib-2. See section 4.5:
>
> - The value assigned to the MODULE-IDENTITY descriptor MUST be unique
>      and (for IETF standards-track MIB modules) SHOULD reside under  
> the
>      mgmt subtree [RFC2578].  Most often it will be an IANA-assigned
>      value directly under mib-2 [RFC2578], although for media-specific
>      MIB modules that extend the IF-MIB [RFC2863] it is customary  
> to use
>      an IANA-assigned value under transmission [RFC2578].  In the  
> past,
>      some IETF working groups have made their own assignments from
>      subtrees delegated to them by IANA, but that practice has proven
>      problematic and is NOT RECOMMENDED.

     I understand; however, we chose to follow the model described for
the MPLS MIB Modules in RFC3811.

     --Tom

> Regards,
> Dan

_______________________________________________
pwe3 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/pwe3

---

From: "Romascanu, Dan \(Dan\)" <[email-masked]>
Date: Sun, 30 Oct 2005 15:23:16 +0200

_____  

	
	7-IANA section , there is a statement:
	"In the future, PWE3 related standards track PW modules should
be 
	  rooted under the pwStdMIB subtree...."
	I think you meant to say MIB modules not PW modules.
	Also, there is some better wording examples in 4181, maybe you
can realign with that.
	[DR] actually RFC 4181 discourages the practice of placing MIB
modules under a subtree other than mib-2. See section 4.5:
	 
	- The value assigned to the MODULE-IDENTITY descriptor MUST be
unique
	     and (for IETF standards-track MIB modules) SHOULD reside
under the
	     mgmt subtree [RFC2578].  Most often it will be an
IANA-assigned
	     value directly under mib-2 [RFC2578], although for
media-specific
	     MIB modules that extend the IF-MIB [RFC2863] it is
customary to use
	     an IANA-assigned value under transmission [RFC2578].  In
the past,
	     some IETF working groups have made their own assignments
from
	     subtrees delegated to them by IANA, but that practice has
proven
	     problematic and is NOT RECOMMENDED.

	Regards,
	 
	Dan